
Redmine - Defect #22819

Internal Error while create new issue

2016-05-14 16:40 - saurabh Savaliya

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

While I am going to create, delete or edit any issue, it will give internal error. Recently I changed fields permission from

administration. I have tried again after reset those changes but still it is not working.

I give lots of time to configure redmine and its admin. Please advise what should be error.

Affected Version: 3.2.1

History

#1 - 2016-05-15 02:38 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

Please see Submissions.

#2 - 2016-05-17 13:17 - shedow qiu

we get the same problem from 3.2.0 update to 3.2.2

#3 - 2016-05-17 13:57 - shedow qiu

ActiveRecord::StatementInvalid (Mysql2::Error: Field 'position' doesn't have a default value: INSERT INTO `issues` (`project_id`, `author_id`,

`start_date`, `tracker_id`, `st

atus_id`, `subject`, `description`, `priority_id`, `updated_on`, `created_on`, `lock_version`) VALUES (34, 6, '2016-05-17', 1, 1, 'test3', '', 2, '2016-05-17

19:32:28', '2016

-05-17 19:32:28', 0)):

#4 - 2016-05-17 14:51 - Toshi MARUYAMA

shedow qiu wrote:

we get the same problem from 3.2.0 update to 3.2.2

 Do not post unrelated issue.

"issues" table does not have 'position'.

Please ask your using plugin author.

#5 - 2016-06-21 20:15 - Leydson Vieira

Enter in your database and add a default value for the 'position' column.

ALTER TABLE issues MODIFY COLUMN position int(11) NOT NULL DEFAULT '1';

 for example.

#6 - 2016-06-22 06:58 - Toshi MARUYAMA

- Category deleted (Administration)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

No feedback from author.
https://www.redmine.org/projects/redmine/wiki/Submissions


#7 - 2016-08-14 12:23 - Nishad Salam

I am getting the same error and I have applied above SQL statement, and now you I have got the new error. I am using redmine 3.3 and I have

recently upgraded from redmiine-1.3 to 3.3. I had redminebacklogs earlier but I have already installed the backlogs.

ActiveRecord::RecordNotUnique (Mysql2::Error: Duplicate entry '1-0' for key 'index_issues_on_position_and_position_lock': INSERT INTO `issues`

(`project_id`, `author_id`, `start_date`, `tracker_id`, `status_id`, `subject`, `description`, `priority_id`, `updated_on`, `created_on`, `lock_version`)

VALUES (249, 61, '2016-08-14', 1, 1, 'test', 'test', 4, '2016-08-14 13:16:23', '2016-08-14 13:16:23', 0)):

app/models/issue.rb:211:in `create_or_update'

app/controllers/issues_controller.rb:141:in `create'

lib/redmine/sudo_mode.rb:63:in `sudo_mode'

#8 - 2016-08-14 15:43 - Toshi MARUYAMA

Nishad Salam wrote:

I am getting the same error...

 Please contact plugin author.

#9 - 2017-08-07 16:52 - Inese Ez

Leydson Vieira wrote:

Enter in your database and add a default value for the 'position' column.

ALTER TABLE issues MODIFY COLUMN position int(11) NOT NULL DEFAULT '1';

for example.

 Thankx, this worked!

#10 - 2020-10-26 16:39 - Martín Tolava

Hi, Im working with version 3.0.2 with Rails 4.2.1. and resolve this problem, but I have a new problem when delete an Issue.

In log I can see this error

ActiveRecord::StatementInvalid (Mysql2::Error: Cannot delete or update a parent row: a foreign key constraint 

fails (`redmine_production`.`redhopper_issues`, CONSTRAINT `fk_rails_d346a13856` FOREIGN KEY (`issue_id`) REFE

RENCES `issues` (`id`)): DELETE FROM `issues` WHERE `issues`.`id` = 33853 AND `issues`.`lock_version` = 0):

someone has a solution
